[arvados] updated: 2.1.0-2956-g73496d501
git repository hosting
git at public.arvados.org
Tue Nov 8 14:59:29 UTC 2022
Summary of changes:
tools/salt-install/installer.sh | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
via 73496d5010b920096d93edcd52a54dc4e9f2d881 (commit)
from e1367d8c451a00c63cf20516a56b9abbf674dcf3 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 73496d5010b920096d93edcd52a54dc4e9f2d881
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date: Tue Nov 8 11:08:23 2022 -0300
19215: Fixes installer script by honoring the DEPLOY_USER var when ssh-ing.
Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>
diff --git a/tools/salt-install/installer.sh b/tools/salt-install/installer.sh
index d734767d8..3b5962e01 100755
--- a/tools/salt-install/installer.sh
+++ b/tools/salt-install/installer.sh
@@ -63,7 +63,7 @@ sync() {
# each node, pushing our branch, and updating the checkout.
if [[ "$NODE" != localhost ]] ; then
- if ! ssh $NODE test -d ${GITTARGET}.git ; then
+ if ! ssh $DEPLOY_USER@$NODE test -d ${GITTARGET}.git ; then
# Initialize the git repository (1st time case). We're
# actually going to make two repositories here because git
@@ -72,12 +72,12 @@ sync() {
# and then clone a regular repository (with a checkout)
# from that.
- ssh $NODE git init --bare ${GITTARGET}.git
+ ssh $DEPLOY_USER@$NODE git init --bare ${GITTARGET}.git
if ! git remote add $NODE $DEPLOY_USER@$NODE:${GITTARGET}.git ; then
- git remote set-url $NODE $DEPLOY_USER@$NODE:${GITTARGET}.git
+ git remote set-url $NODE $DEPLOY_USER@$NODE:${GITTARGET}.git
fi
git push $NODE $BRANCH
- ssh $NODE git clone ${GITTARGET}.git ${GITTARGET}
+ ssh $DEPLOY_USER@$NODE git clone ${GITTARGET}.git ${GITTARGET}
fi
# The update case.
@@ -87,7 +87,7 @@ sync() {
# from the bare repository.
git push $NODE $BRANCH
- ssh $NODE "git -C ${GITTARGET} checkout ${BRANCH} && git -C ${GITTARGET} pull"
+ ssh $DEPLOY_USER@$NODE "git -C ${GITTARGET} checkout ${BRANCH} && git -C ${GITTARGET} pull"
fi
}
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list